//
//  YHListViewModel.swift
//  galaxy
//
//  Created by EDY on 2024/7/23.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHListViewModel: YHBaseViewModel {
    var model: [YHHKEventModel] = []
    
    func getToolsEvent(pid: Int, callBackBlock: @escaping (_ success: Bool, _ error: YHErrorModel?) -> Void) {
        let strUrl = YHBaseUrlManager.shared.curURL() + YHAllApiName.Common.hklistApi
        
        let param = ["pid[0]": pid]
        _ = YHNetRequest.getRequest(url: strUrl, params: param) { [weak self] json, _ in
            guard let self = self else { return }
            // 1. json字符串 转 对象
            if json.code == 200 {
                guard let dic = json.data?.peel as? [Any], let result = [YHHKEventModel].deserialize(from: dic) else {
                    callBackBlock(false, nil)
                    return
                }
                self.model = (result as? [YHHKEventModel] ?? [])
                callBackBlock(true, nil)
            } else {
                let error: YHErrorModel = YHErrorModel(errorCode: Int32(json.code), errorMsg: json.msg)
                callBackBlock(false, error)
            }
        } failBlock: { err in
            
            callBackBlock(false, err)
        }
    }

}
